/*
 * Copyright (c) 2000 QUALCOMM Incorporated. All rights reserved.
 * See License.txt file for terms and conditions for modification and
 * redistribution.
 *
 * Revisions: 
 *
 *  01/27/00  [rcg]
 *            -  Changed snprintf to vsnprintf, added snprint as jacket.
 *
 *  01/20/00  [rg]
 *            -  File added.
 *
 */



#ifndef _SNPRINTF_H
#  define   _SNPRINTF_H

#  include <stdio.h>
#  include <stdarg.h>

#ifndef HAVE_SNPRINTF
int snprintf  ( char *s, size_t n, const char *format, ... );
#endif /* not HAVE_SNPRINTF */

#ifndef HAVE_VSNPRINTF
int vsnprintf ( char *s, size_t n, const char *format, va_list ap );
#endif /* not HAVE_VSNPRINTF */


#endif  /* _SNPRINTF_H */


